## org.codehaus.groovy.grails.exceptions
Class MoreThanOneActiveDataSourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.exceptions.GrailsDataSourceException
                          org.codehaus.groovy.grails.exceptions.MoreThanOneActiveDataSourceException

All Implemented Interfaces:
  Serializable

    public class MoreThanOneActiveDataSourceException

extends GrailsDataSourceException

Thrown when more than one active data source is configured.

Since:
  Aug 6, 2005
Author:
  Steven Devijver
See Also:
  Serialized Form

Constructor Summary
`MoreThanOneActiveDataSourceException()`
`MoreThanOneActiveDataSourceException(String arg0)`
`MoreThanOneActiveDataSourceException(String arg0, Throwable arg1)`
`MoreThanOneActiveDataSourceException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MoreThanOneActiveDataSourceException

    public MoreThanOneActiveDataSourceException()

### MoreThanOneActiveDataSourceException

    public MoreThanOneActiveDataSourceException(String arg0)

### MoreThanOneActiveDataSourceException

    public MoreThanOneActiveDataSourceException(String arg0,
                                                Throwable arg1)

### MoreThanOneActiveDataSourceException

    public MoreThanOneActiveDataSourceException(Throwable arg0)

Copyright (c) 2005-2006 The Grails project